/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {PointFRequest} from "./pointFRequest";

export class CoordinateMapRequest {
    public item1: PointFRequest;

    public item2: PointFRequest;

    public item3: PointFRequest;

    public item4: PointFRequest;

    /**
     * Creates a CoordinateMapRequest.
     *
     * @param {PointFRequest} item1
     * @param {PointFRequest} item2
     * @param {PointFRequest} item3
     * @param {PointFRequest} item4
     */
    constructor(item1: PointFRequest, item2: PointFRequest, item3: PointFRequest, item4: PointFRequest) {
        this.item1 = item1;
        this.item2 = item2;
        this.item3 = item3;
        this.item4 = item4;
    }
}
